GlueGen: com.jogamp.gluegen.cgram.types.FloatType Class Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Protected Member Functions | List of all members
com.jogamp.gluegen.cgram.types.FloatType Class Reference

Represents a single-word floating-point type (C type "float".) More...

Inheritance diagram for com.jogamp.gluegen.cgram.types.FloatType:
Collaboration diagram for com.jogamp.gluegen.cgram.types.FloatType:

## Public Member Functions

| FloatType (final String name, final SizeThunk size, final int cvAttributes, final ASTLocusTag astLocus)
FloatType | asFloat ()
| Casts this to a FloatType or returns null if not a FloatType. More...
Public Member Functions inherited from com.jogamp.gluegen.cgram.types.PrimitiveType
boolean | isPrimitive ()
| Indicates whether this type is a primitive type. More...
Public Member Functions inherited from com.jogamp.gluegen.cgram.types.Type
final Type | newCVVariant (final int cvAttributes)
| Return a variant of this type matching the given const/volatile attributes. More...
Type | clone (final ASTLocusTag newLoc)
| Clones this instance using a new `ASTLocusTag`. More...
final ASTLocusTag | getASTLocusTag ()
| Returns this instance's `ASTLocusTag`, if available, otherwise returns `null`. More...
boolean | isAnon ()
final String | getCName ()
| Returns the name of this type. More...
String | getCName (final boolean includeCVAttrs)
| Returns the name of this type, optionally including const/volatile attributes. More...
final String | getName ()
| Returns the name of this type. More...
String | getName (final boolean includeCVAttrs)
| Returns the name of this type, optionally including const/volatile attributes. More...
String | toString ()
| Returns a string representation of this type. More...
final StringBuilder | getSignature (StringBuilder sb)
final String | getDebugString ()
boolean | setTypedefName (final String name)
| Set the typedef name of this type and renders this type a typedef, if given `name` has a length. More...
final boolean | isTypedef ()
| Indicates whether this type is a typedef type, i.e. More...
final boolean | hasSize ()
| Returns true if `getSize()` is not null, otherwise false. More...
final SizeThunk | getSize ()
| SizeThunk which computes size of this type in bytes. More...
final long | getSize (final MachineDataInfo machDesc)
| Size of this type in bytes according to the given MachineDataInfo. More...
BitType | asBit ()
| Casts this to a BitType or returns null if not a BitType. More...
IntType | asInt ()
| Casts this to an IntType or returns null if not an IntType. More...
EnumType | asEnum ()
| Casts this to an EnumType or returns null if not an EnumType. More...
FloatType | asFloat ()
| Casts this to a FloatType or returns null if not a FloatType. More...
DoubleType | asDouble ()
| Casts this to a DoubleType or returns null if not a DoubleType. More...
PointerType | asPointer ()
| Casts this to a PointerType or returns null if not a PointerType. More...
ArrayType | asArray ()
| Casts this to an ArrayType or returns null if not an ArrayType. More...
CompoundType | asCompound ()
| Casts this to a CompoundType or returns null if not a CompoundType. More...
FunctionType | asFunction ()
| Casts this to a FunctionType or returns null if not a FunctionType. More...
VoidType | asVoid ()
| Casts this to a VoidType or returns null if not a VoidType. More...
final boolean | isBit ()
| Indicates whether this is a BitType. More...
final boolean | isInt ()
| Indicates whether this is an IntType. More...
final boolean | isEnum ()
| Indicates whether this is an EnumType. More...
final boolean | isFloat ()
| Indicates whether this is a FloatType. More...
final boolean | isDouble ()
| Indicates whether this is a DoubleType. More...
final boolean | isPointer ()
| Indicates whether this is a PointerType. More...
final boolean | isArray ()
| Indicates whether this is an ArrayType. More...
final boolean | isCompound ()
| Indicates whether this is a CompoundType. More...
final boolean | isFunction ()
| Indicates whether this is a FunctionType. More...
final boolean | isVoid ()
| Indicates whether this is a VoidType. More...
final boolean | isVolatile ()
| Indicates whether this type is volatile. More...
final boolean | isConst ()
| Indicates whether this type is const. More...
boolean | isPrimitive ()
| Indicates whether this type is a primitive type. More...
boolean | isFunctionPointer ()
| Convenience routine indicating whether this Type is a pointer to a function. More...
final boolean | isBaseTypeConst ()
| Checks the base type of pointer-to-pointer, pointer, array or plain for const-ness. More...
final int | hashCode ()
| Hashcode for Types. More...
final boolean | equals (final Object arg)
| Equality test for Types inclusive its given `name`. More...
final int | hashCodeSemantics ()
| Semantic hashcode for Types exclusive its given `name`. More...
final boolean | equalSemantics (final SemanticEqualityOp arg)
| Semantic equality test for Types exclusive its given `name`. More...
void | visit (final TypeVisitor visitor)
| Traverse this `Type` and all of its component types; for example, the return type and argument types of a FunctionType. More...
final int | getCVAttributes ()
final String | getCVAttributesString ()
| Returns a string indicating the const/volatile attributes of this type. More...
int | pointerDepth ()
| Helper method for determining how many pointer indirections this type represents (i.e., "void **" returns 2). More...
int | arrayDimension ()
| Helper method for determining how many array dimentions this type represents (i.e., "char[][]" returns 2). More...
Type | getBaseType ()
| Helper method to returns the bottom-most element type of this type, i.e. More...
Type | getTargetType ()
| Helper method to returns the target type of this type, in case another type is being referenced, i.e. More...
Type | getArrayBaseOrPointerTargetType ()
| Return `getBaseType()` if `isArray()` or returns `getTargetType()` otherwise. More...
FunctionType | getTargetFunction ()
| Returns the target `FunctionType` if this type is `isFunctionPointer()`. More...
int | hashCodeSemantics ()
| Semantic hashcode for Types exclusive its given `name`. More...
boolean | equalSemantics (final SemanticEqualityOp arg)
| Semantic equality test for Types exclusive its given `name`. More...
ASTLocusTag | getASTLocusTag ()
| Returns this instance's `ASTLocusTag`, if available, otherwise returns `null`. More...

## Protected Member Functions

int | hashCodeImpl ()
boolean | equalsImpl (final Type t)
int | hashCodeSemanticsImpl ()
boolean | equalSemanticsImpl (final Type t)
Protected Member Functions inherited from com.jogamp.gluegen.cgram.types.PrimitiveType
| PrimitiveType (final String name, final SizeThunk size, final int cvAttributes, final ASTLocusTag astLocus)
Protected Member Functions inherited from com.jogamp.gluegen.cgram.types.Type
| Type (final String name, final SizeThunk size, final int cvAttributes, final ASTLocusTag astLocus)
final void | clearCache ()
abstract int | hashCodeImpl ()
abstract boolean | equalsImpl (final Type t)
abstract int | hashCodeSemanticsImpl ()
abstract boolean | equalSemanticsImpl (final Type t)

## Additional Inherited Members

Public Attributes inherited from com.jogamp.gluegen.cgram.types.Type
final boolean | relaxedEqSem

## Detailed Description

Represents a single-word floating-point type (C type "float".)

Definition at line 47 of file FloatType.java.

## Constructor & Destructor Documentation

## ◆ FloatType()

com.jogamp.gluegen.cgram.types.FloatType.FloatType | ( | final String | name,
|  | final SizeThunk | size,
|  | final int | cvAttributes,
|  | final ASTLocusTag | astLocus
| ) |  |

Definition at line 48 of file FloatType.java.

## Member Function Documentation

## ◆ asFloat()

FloatType com.jogamp.gluegen.cgram.types.FloatType.asFloat | ( |  | ) |

Casts this to a FloatType or returns null if not a FloatType.

Reimplemented from com.jogamp.gluegen.cgram.types.Type.

Definition at line 62 of file FloatType.java.

## ◆ equalSemanticsImpl()

boolean com.jogamp.gluegen.cgram.types.FloatType.equalSemanticsImpl | ( | final Type | t | ) |

protected

Reimplemented from com.jogamp.gluegen.cgram.types.Type.

Definition at line 80 of file FloatType.java.

## ◆ equalsImpl()

boolean com.jogamp.gluegen.cgram.types.FloatType.equalsImpl | ( | final Type | t | ) |

protected

Reimplemented from com.jogamp.gluegen.cgram.types.Type.

Definition at line 70 of file FloatType.java.

## ◆ hashCodeImpl()

int com.jogamp.gluegen.cgram.types.FloatType.hashCodeImpl | ( |  | ) |

protected

Reimplemented from com.jogamp.gluegen.cgram.types.Type.

Definition at line 65 of file FloatType.java.

## ◆ hashCodeSemanticsImpl()

int com.jogamp.gluegen.cgram.types.FloatType.hashCodeSemanticsImpl | ( |  | ) |

protected

Reimplemented from com.jogamp.gluegen.cgram.types.Type.

Definition at line 75 of file FloatType.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/types/FloatType.java